#!/bin/bash

softversion='6.4'
pkgversion='64.1'
softname='network-scripts'

buildir=$(pwd)

dest="/tmp/$softname-$softversion-i486-$pkgversion"

cd $buildir
rm -rf $dest
rm -f $dest.tgz

tar -zxvf $softname.tar.gz 
mv $softname $dest

# Install dir
mkdir $dest/install
cat << "EOF" >> $dest/install/doinst.sh
#!/bin/sh
# Handle the incoming configuration files:
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.inet1.conf.new
config etc/rc.d/rc.ip_forward.new
config etc/hosts.new
config etc/hosts.deny.new
config etc/hosts.equiv.new
config etc/networks.new
config etc/nntpserver.new
config etc/resolv.conf.new
config etc/services.new
config etc/HOSTNAME.new
config etc/host.conf.new
config etc/hosts.allow.new
config etc/protocols.new

# OK, some of these aren't useful as examples, and have to be
# considered clutter if you've already got the file.
# So out they go.
rm -f etc/HOSTNAME.new
rm -f etc/hosts.new
rm -f etc/resolv.conf.new
rm -f etc/nntpserver.new
EOF

cat << "EOF" > $dest/install/slack-desc
network-scripts: network-scripts (Scripts to configure a network)
network-scripts:
network-scripts: These are the Zenwalk scripts and files used to define a network
network-scripts: and  configure  network  interfaces.   The original scripts  were 
network-scripts: borrowed from BSD, or written by Patrick Volkerding, with suggestions
network-scripts: and fixes from contributors. 
network-scripts: Many scripts have been heavily modified or by JP Guillemin for Zenwalk
network-scripts: Linux.
network-scripts:
network-scripts:
network-scripts:
EOF


chown -R root:root $dest


cd $dest
makepkg -l n -c n $dest.txz

# cleanup
rm -rf $dest



